routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// Route::get('/', function () {
//     return view('welcome');
// });

Route::get('/', 'Auth\RegisterController@index')->name('landing');
// tenant registration
Route::get('register', 'Auth\RegisterController@showRegistrationForm')->name('register');





Auth::routes();


Route::group([
    'prefix'     => '/{tenant}',
    'middleware' => \App\Http\Middleware\IdentifyTenant::class,
    'as'         => 'tenant:',
], function () {
    // Tenant routes here
    Route::get('home', 'HomeController@index')->name('home');
    Route::get('dashboard', 'HomeController@index')->name('dashboard');
    Route::get('login', 'Auth\LoginController@showLoginForm')->name('login');

    // camp routes
    Route::get('camp', 'CampController@index')->name('camp.list');
    Route::post('camp', 'CampController@index')->name('camp.list');
    Route::get('camp/show/{id}', 'CampController@show')->name('camp.show');
    Route::get('camp/edit/{id}', 'CampController@edit')->name('camp.edit');
    Route::get('camp/create', 'CampController@create')->name('camp.create');
    Route::post('camp/update', 'CampController@update')->name('camp.update');
    Route::get('camp/delete/{id}', 'CampController@destroy')->name('camp.delete');
    Route::post('camp/store', 'CampController@store')->name('camp.store');
    Route::post('camp/save-email/{id}', 'CampController@saveEmailSettings')->name('camp.email');
    Route::post('camp/campaign-search', 'CampController@searchCampaign')->name('camp.campaign-search');
    Route::post('camp/campaign-save', 'CampController@saveCampaign')->name('camp.campaign-save');

    // camp registration
    Route::get('register/{id}', 'CampRegisterController@showRegistrationForm')->name('camp.register');
    Route::post('register/{id}', 'CampRegisterController@checkout')->name('camp.checkout');
});

app/Camp.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Carbon\Carbon;
use App\Traits\ModelHelpers;
use App\Services\TenantManager;

class Camp extends Model
{
    use SoftDeletes, ModelHelpers;

    public $timestamps = true;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'tenant_id',
        'title',
        'summary',
        'description',
        'address_1',
        'address_2',
        'city',
        'state',
        'zip',
        'regular_price',
        'early_price',
        'early_price_starts',
        'early_price_ends',
        'early_price_email_on',
        'early_price_email_start_days',
        'early_price_email_end_days',
        'late_price',
        'late_price_starts',
        'late_price_ends',
        'late_price_email_on',
        'late_price_email_start_days',
        'late_price_email_end_days',
        'camp_start_date',
        'camp_end_date',
        'camp_start_time',
        'camp_end_time',
    ];

    public function scopeActive($query)
    {
        return $query->where('tenant_id', auth()->user()->tenant_id)
                     ->where('camp_end_date', '>', Carbon::now()->format('Y-m-d'))
                     ->orderBy('camp_start_date','asc');
    }

    public function scopeEverything($query)
    {
        return $query->where('tenant_id', auth()->user()->tenant_id)
                    //  ->where('camp_end_date', '>', Carbon::now()->format('Y-m-d'))
                     ->orderBy('camp_start_date','asc');
    }

    public function scopeExpired($query)
    {
        return $query->where('camp_end_date', '<', Carbon::now()->format('Y-m-d'));
    }

    public function totalRevenue()
    {
        return $this->registration->whereIn('status',['paid', 'pending'])->sum('price');
    }

    public function totalRefunds()
    {
        return $this->registration->whereIn('status',['cancelled'])->sum('price');
    }

    public function totalCancelled()
    {
        return $this->registration->whereIn('status',['cancelled'])->count();
    }

    public function totalRegistrations()
    {
        return $this->registration->whereIn('status',['paid', 'pending'])->count();
    }

    /**
     * get the current price of the camp based on the current date
     * @return float early_price, regular_price or late_price based on start/end dates
     */
    public function currentPrice()
    {
        $now = Carbon::now();
        $this->useRawDates();
        if ($now->between(Carbon::parse($this->early_price_starts), Carbon::parse($this->early_price_ends))) {
            // turn off 
            $this->useRawDates(false);
            return $this->early_price;
        }
        $this->useRawDates();
        if ($now->between(Carbon::parse($this->late_price_starts), Carbon::parse($this->late_price_ends))) {
            // turn off 
            $this->useRawDates(false);
            return $this->late_price;
        }
        // turn off 
        $this->useRawDates(false);
        return $this->regular_price;
    }

    public function isActive()
    {
        $now = Carbon::now();
        $this->useRawDates();
        $is_active = $now->between(Carbon::parse($this->camp_start_date), Carbon::parse($this->camp_end_date));
        // turn off 
        $this->useRawDates(false);
        return $is_active;
    }

    // mutators for auto-formatting
    public function setCampStartDateAttribute($value) {
        $this->attributes['camp_start_date'] = $this->settterDateFormatter($value);
    }
    
    public function setCampEndDateAttribute($value) {
        $this->attributes['camp_end_date'] = $this->settterDateFormatter($value);
    }

    public function setEarlyPriceStartsAttribute($value) {
        $this->attributes['early_price_starts'] = $this->settterDateFormatter($value);
    }
    
    public function setEarlyPriceEndsAttribute($value) {
        $this->attributes['early_price_ends'] = $this->settterDateFormatter($value);
    }

    public function setLatePriceStartsAttribute($value) {
        $this->attributes['late_price_starts'] = $this->settterDateFormatter($value);
    }
    
    public function setLatePriceEndsAttribute($value) {
        $this->attributes['late_price_ends'] = $this->settterDateFormatter($value);
    }

    public function setCampStartTimeAttribute($value) {
        $this->attributes['camp_start_time'] = $this->settterTimeFormatter($value);
    }
    
    public function setCampEndTimeAttribute($value) {
        $this->attributes['camp_end_time'] = $this->settterTimeFormatter($value);
    }

    public function setRegularPriceAttribute($value) {
        $this->attributes['regular_price'] = clean_price($value);
    }

    public function setEarlyPriceAttribute($value) {
        $this->attributes['early_price'] = clean_price($value);
    }

    public function setLatePriceAttribute($value) {
        $this->attributes['late_price'] = clean_price($value);
    }


    // accessor mutators

    public function getCampStartDateAttribute($value) {
        return $this->getterDateFormatter($value);
    }

    public function getCampEndDateAttribute($value) {
        return $this->getterDateFormatter($value);
    }

    public function getEarlyPriceStartsAttribute($value) {
        return $this->getterDateFormatter($value);
    }
    
    public function getEarlyPriceEndsAttribute($value) {
        return $this->getterDateFormatter($value);
    }

    public function getLatePriceStartsAttribute($value) {
        return $this->getterDateFormatter($value);
    }
    
    public function getLatePriceEndsAttribute($value) {
        return $this->getterDateFormatter($value);
    }

    public function getCampStartTimeAttribute($value) {
        return $this->getterTimeFormatter($value);
    }
    
    public function getCampEndTimeAttribute($value) {
        return $this->getterTimeFormatter($value);
    }

    
    // relationships

    public function tenant()
    {
        return $this->belongsTo('App\Tenant','tenant_id', 'id');
    }

    public function registration()
    {
        return $this->hasMany('App\Registration','camp_id', 'id');
    }

    public function emailTemplates()
    {
        return $this->hasMany('App\EmailTemplate','camp_id', 'id');
    }
}

app/Registration.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Carbon\Carbon;
use App\Traits\ModelHelpers;

class Registration extends Model
{
    use SoftDeletes, ModelHelpers;

    public $timestamps = true;
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'camp_id',
        'user_id',
        'price',
        'stripe_id',
        'status',
    ];

    public function getCreatedAtAttribute($value) {
        return $this->getterDateFormatter(Carbon::parse($value)->format('Y-m-d'));
    }

    // relationships

    public function user()
    {
        return $this->belongsTo('App\User','user_id', 'id');
    }

    public function camp()
    {
        return $this->belongsTo('App\Camp','camp_id', 'id');
    }

    
}

app/Http/Controllers/CampController.php
<?php

namespace App\Http\Controllers;

use App\Camp;
use App\Lead;
use App\EmailTemplate;
use Illuminate\Http\Request;
use App\Http\Requests\CreateCampRequest;


class CampController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
    }
    
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        $include_expired = $request->input('include_expired',false);
        $data = [
            'camps' => ($include_expired) ? Camp::everything()->get() : Camp::active()->get(),
            'include_expired' => $include_expired
        ];
        if (count($data['camps']) == 0) {
            return view('getting-started');
        }
        return View('camp.index')->with($data);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return View('camp.create', ['camp' => Camp::make()]);
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  App\Http\Requests\CreateCampRequest  $CreateCampRequest
     * @return \Illuminate\Http\Response
     */
    public function store(CreateCampRequest $CreateCampRequest)
    {
        $camp = Camp::make(
            $CreateCampRequest->only(
                ['title',
                'summary',
                'description',
                'camp_start_date',
                'camp_end_date',
                'camp_start_time',
                'camp_end_time',
                'early_price',
                'early_price_starts',
                'early_price_ends',
                'regular_price',
                'late_price',
                'late_price_starts',
                'late_price_ends',
                'address_1',
                'address_2',
                'city',
                'state',
                'zip',
            ])
        );
        $camp->tenant_id = auth()->user()->tenant_id;
        $camp->save();
        dd();
    }

    /**
     * Display the specified resource.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  integer  $id camp id
     * @return \Illuminate\Http\Response
     */
    public function show(Request  $request, $id)
    {
        $camp = Camp::findOrFail($id);
        $leads = Lead::make();
        $filter = $request->input('filter', null);
        $data = [
            'camp' => $camp,
            'leads' => null,
            'active' => $request->input('active', is_null($filter) ? 'summary' : 'registrants'),
            'filter' => $filter,
        ];
        return View('camp.show', $data);
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  integer  $id camp id
     * @return \Illuminate\Http\Response
     */
    public function edit(Request  $request, $id)
    {
        $camp = Camp::findOrFail($id);
        $data = [
            'camp' => $camp
        ];
        return View('camp.edit', $data);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  App\Http\Requests\CreateCampRequest  $CreateCampRequest
     * @return \Illuminate\Http\Response
     */
    public function update(CreateCampRequest $CreateCampRequest)
    {
        $camp = Camp::findOrFail($CreateCampRequest->id);
        $camp->fill(
            $CreateCampRequest->only(
                ['title',
                'summary',
                'description',
                'camp_start_date',
                'camp_end_date',
                'camp_start_time',
                'camp_end_time',
                'early_price',
                'early_price_starts',
                'early_price_ends',
                'regular_price',
                'late_price',
                'late_price_starts',
                'late_price_ends',
                'address_1',
                'address_2',
                'city',
                'state',
                'zip',
            ])
        );
        $camp->save();
        return redirect('camp');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  integer  $id camp id
     * @return \Illuminate\Http\Response
     */
    public function destroy(Request  $request, $id)
    {
        $camp = Camp::findOrFail($request->id);
        $camp->delete();
        return tenant_redirect('camp');
    }

    public function saveEmailSettings(Request $request)
    {
        $camp = Camp::findOrFail($request->id);
        
        // if camp has email template, update it
        if ($camp->emailTemplates()->hasTemplateType('early_registration')) {
            $email_template = $camp->emailTemplates()->find($request->early_registration_email_template_id);
        }
        // otherwise, make a new one
        else {
            $email_template = new EmailTemplate();
            $email_template->camp_id = $camp->id;
            $email_template->template_type = 'early_registration';
            $email_template->is_default = false;

        }
        $email_template->subject = $request->early_registration_email_subject;
        $email_template->body = $request->early_registration_email_body;
        $email_template->save();

        // if camp has email template, update it
        if ($camp->emailTemplates()->hasTemplateType('late_registration')) {
            $email_template = $camp->emailTemplates()->find($request->late_registration_email_template_id);
        }
        // otherwise, make a new one
        else {
            $email_template = new EmailTemplate();
            $email_template->camp_id = $camp->id;
            $email_template->template_type = 'late_registration';
            $email_template->is_default = false;

        }
        $email_template->subject = $request->late_registration_email_subject;
        $email_template->body = $request->late_registration_email_body;
        $email_template->save();
        
        // update camp email settings
        $camp->early_price_email_on = $request->has('enable_early_registration_email_starts');
        $camp->early_price_email_start_days = $request->input('early_price_email_start_days', 3);
        $camp->early_price_email_end_days = $request->input('early_price_email_end_days', 3);

        $camp->late_price_email_on = $request->has('enable_late_registration_email_starts');
        $camp->late_price_email_start_days = $request->input('late_price_email_start_days', 3);
        $camp->late_price_email_end_days = $request->input('late_price_email_end_days', 3);
        $camp->save();

        return redirect(
                tenant_route('tenant:camp.show', [$camp->id, 'active' => 'email'], false)
        );
    }

    public function searchCampaign(Request $request)
    {
        
        $leads = Lead::when($request->input('gender'), function ($query, $gender) {
                    return $query->whereIn('gender', array_values($gender));
                })->when($request->input('include_existing'), function ($query, $include_existing) {
                    return $query;
                })->when($request->input('age_min'), function ($query, $age_min) {
                    return $query->whereRaw("YEAR(curdate())-YEAR(birthdate) >= " . $age_min);
                })
                ->when($request->input('age_max'), function ($query, $age_max) {
                    return $query->whereRaw("YEAR(curdate())-YEAR(birthdate) <= " . $age_max);
                })
                ->orderBy('last_name', 'asc')
                ->get();
        
        $camp = Camp::findOrFail($request->id);

        $filter = $request->input('filter', null);
        $data = [
            'camp' => $camp,
            'leads' => $leads,
            'active' => 'campaign',
            'filter' => $filter,
            'leads' => $leads,
        ];
        return View('camp.show', $data);

    }

}

resources/views/camp/partials/campaign.blade.php
<p class="alert alert-info">Instructional text here</p>
<div class="row">
    <div class="col-sm-12 col-md-12">
        <form method="POST" action="{{ tenant_route('tenant:camp.campaign-search') }}" id="camp-campaign-search-form">
            <input type="hidden" name="id" value="{{ $camp->id }}">
            <input type="hidden" name="active" value="{{ $active }}">
            @csrf

        <div class="form-row">
        <!-- gender -->
            <div class="md-form col-sm-12 col-md-2 mb-4">
                <!-- Default inline 1-->
                <div class="custom-control custom-checkbox custom-control-inline">
                    <input type="checkbox" class="custom-control-input" id="gender-female" name="gender[]" value="female">
                    <label class="custom-control-label" for="gender-female">Female</label>
                </div>

                <!-- Default inline 2-->
                <div class="custom-control custom-checkbox custom-control-inline">
                    <input type="checkbox" class="custom-control-input" id="gender-male" name="gender[]" value="male">
                    <label class="custom-control-label" for="gender-male">Male</label>
                </div>
            </div>
            <div class="md-form col-sm-12 col-md-2">
                <input type="number" id="age_min" class="form-control @error('age_min') is-invalid @enderror" name="age_min" value="{{ old('age_min') }}">
                <label for="age_min">{{ __('Age Min') }}</label>
                @error('age_min')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
            </div>
            <div class="md-form col-sm-12 col-md-2">
                <input type="number" id="age_max" class="form-control @error('age_max') is-invalid @enderror" name="age_max" value="{{ old('age_max') }}">
                <label for="age_max">{{ __('Age Max') }}</label>
                @error('age_max')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
            </div>
            <div class="md-form col-sm-12 col-md-3">
                <!-- Default unchecked -->
                <div class="custom-control custom-checkbox">
                    <input type="checkbox" class="custom-control-input" id="include-existing" name="include_existing" value="true">
                    <label class="custom-control-label" for="include-existing">Include Existing Registrants</label>
                </div>
            </div>
            <div class="md-form col-sm-12 col-md-3">
                <button type="submit" class="btn btn-primary">Search</button>
            </div>
        </div>
        
        </form>
    </div>
</div>
@if (!is_null($leads))
<p class="alert alert-success">Your search found {{ __(count($leads)) }} results</p>
<form method="POST" action="{{ tenant_route('tenant:camp.campaign-save') }}" id="camp-campaign-form">
    <input type="hidden" name="id" value="{{ $camp->id }}">
    @csrf
    <div class="col-xs-12 col-md-12 table-responsive">
        <table class="table">
            <thead>
                <tr>
                <th scope="col"><input type="checkbox" class="form-control" id="check-all"></th>
                <th scope="col">#</th>
                <th scope="col">First</th>
                <th scope="col">Last</th>
                <th scope="col">E-Mail</th>
                <th scope="col">Age</th>
                <th scope="col">Gender</th>
                <th scope="col">Existing Registrant</th>
                </tr>
            </thead>
            <tbody>
                @foreach($leads as $i => $lead)
                <tr class="">
                    <td><input type="checkbox" class="form-control" name="lead_id[]" value="{{ __($lead->id) }}"></td>
                    <th scope="row">{{ ($i+1) }}</th>
                    <td>{{ ucfirst(__($lead->first_name)) }}</td>
                    <td>{{ ucfirst(__($lead->last_name)) }}</td>
                    <td>{{ __($lead->email) }}</td>
                    <td>{{ __($lead->age()) }}</td>
                    <td>{{ ucfirst(__($lead->gender)) }}</td>
                    <td></td>
                </tr>
                @endforeach
            </tbody>
        </table>
    </div>
    <div class="md-form col-sm-12 col-md-3">
        <button type="submit" class="btn btn-primary">Create Campaign</button>
    </div>
</form>
@endif

resources/views/camp/partials/registrants.blade.php
<div class="table-responsive">
  <table class="table">
    <thead>
      <tr>
        <th scope="col">#</th>
        <th scope="col">First Name</th>
        <th scope="col">Last Name</th>
        <th scope="col">Email</th>
        <th scope="col">Status</th>
        <th scope="col">Date Registered</th>
        <th scope="col text-right">Price</th>
      </tr>
    </thead>
    <tbody>
    @foreach($camp->registration()->get() as $i=>$registration)
      @if(
        (in_array($filter, ['revenue', 'registrations']) && in_array($registration->status, ['cancelled'])) ||
        (in_array($filter, ['refunds', 'cancellations']) && in_array($registration->status, ['pending', 'paid']))
        )
        @php
          continue;
        @endphp
      @endif
      <tr>
        <th scope="row">{{ ($i+1) }}</th>
        <td>{{ __($registration->user->name) }}</td>
        <td>{{ __($registration->user->lastname) }}</td>
        <td>{{ __($registration->user->email) }}</td>
        <td>{{ ucfirst(__($registration->status)) }}</td>
        <td class="text-right">{{ __($registration->created_at)}}</td>
        <td class="text-right">{{ money(__($registration->price)) }}</td>
      </tr>
      @endforeach
    </tbody>
  </table>
</div>

resources/views/camp/partials/stats.blade.php
<!-- Section: Block Content -->
<section class="sc-stats mt-2">
    <!-- Grid row -->
    <div class="row">
        <!-- Grid column -->
        <div class="col-md-6 col-lg-3 mb-4">
            <!-- Card -->
            <div class="card success-color white-text">
                <div class="card-body d-flex justify-content-between align-items-center">
                    <div>
                        <p class="h2-responsive font-weight-bold mt-n2 mb-0">{{ money(__($camp->totalRevenue())) }}</p>
                        <p class="mb-0">Revenue</p>
                    </div>
                    <div>
                        <i class="fas fa-money-bill-wave fa-3x text-black-40"></i>
                    </div>
                </div>
                <a class="card-footer footer-hover small text-center white-text border-0 p-2" href="{{ tenant_route('tenant:camp.show',[$camp->id,'filter'=>'revenue']) }}">More info<i class="fas fa-arrow-circle-right pl-2"></i></a>
            </div>
            <!-- Card -->
        </div>
        <!-- Grid column -->

        <!-- Grid column -->
        <div class="col-md-6 col-lg-3 mb-4">
            <!-- Card -->
            <div class="card warning-color white-text">
                <div class="card-body d-flex justify-content-between align-items-center">
                    <div>
                        <p class="h2-responsive font-weight-bold mt-n2 mb-0">{{ money(__($camp->totalRefunds())) }}</p>
                        <p class="mb-0">Refunds</p>
                    </div>
                    <div>
                        <i class="fas fa-money-bill-wave fa-3x text-black-40"></i>
                    </div>
                </div>
                <a class="card-footer footer-hover small text-center white-text border-0 p-2" href="{{ tenant_route('tenant:camp.show',[$camp->id,'filter'=>'refunds']) }}">More info<i class="fas fa-arrow-circle-right pl-2"></i></a>
            </div>
            <!-- Card -->
        </div>
        <!-- Grid column -->

        <!-- Grid column -->
        <div class="col-md-6 col-lg-3 mb-4">
            <!-- Card -->
            <div class="card light-blue lighten-1 white-text">
                <div class="card-body d-flex justify-content-between align-items-center">
                    <div>
                        <p class="h2-responsive font-weight-bold mt-n2 mb-0">{{ __($camp->totalRegistrations()) }}</p>
                        <p class="mb-0">Registrations</p>
                    </div>
                    <div>
                        <i class="fas fa-user-plus fa-3x text-black-40"></i>
                    </div>
                </div>  
                <a class="card-footer footer-hover small text-center white-text border-0 p-2" href="{{ tenant_route('tenant:camp.show',[$camp->id,'filter'=>'registrations']) }}">More info<i class="fas fa-arrow-circle-right pl-2"></i></a>     
            </div>
            <!-- Card -->
        </div>
        <!-- Grid column -->

        <!-- Grid column -->
        <div class="col-md-6 col-lg-3 mb-4">
            <!-- Card -->
            <div class="card red accent-2 white-text">
                <div class="card-body d-flex justify-content-between align-items-center">
                    <div>
                        <p class="h2-responsive font-weight-bold mt-n2 mb-0">{{ __($camp->totalCancelled()) }}</p>
                        <p class="mb-0">Cancellations</p>
                    </div>
                    <div>
                        <i class="fas fa-user-minus fa-3x text-black-40"></i>
                    </div>
                </div>
                <a class="card-footer footer-hover small text-center white-text border-0 p-2" href="{{ tenant_route('tenant:camp.show',[$camp->id,'filter'=>'cancellations']) }}">More info<i class="fas fa-arrow-circle-right pl-2"></i></a>
            </div>
            <!-- Card -->
        </div>
        <!-- Grid column -->
    </div>
    <!-- Grid row -->
</section>
<!-- Section: Block Content -->

resources/views/camp/partials/summary.blade.php
<p>{{ format_date(__($camp->camp_start_date), 'M d Y') }} - {{ format_date(__($camp->camp_end_date), 'M d Y') }}</p>
<p>{{ __($camp->summary) }}</p>
<p>{{ __($camp->description) }}</p>
<div class="row">
    <div class="col-sm-12 col-md-6">
        <h5>Pricing</h5>
        <hr>
        <dl class="row">
            <dt class="col-md-6 col-sm-12">Regular Price<dt>
            <dd class="col-md-6 col-sm-12">{{ money(__($camp->regular_price)) }}</dd>
            <dt class="col-md-6 col-sm-12">Early Registration Price
                <p><small><strong>Starts</strong> {{ __($camp->early_price_starts) }} <strong>Ends</strong> {{ __($camp->early_price_ends) }}</small></p>
            <dt>
            <dd class="col-md-6 col-sm-12"><p>{{ money(__($camp->early_price)) }}</p></dd>
            <dt class="col-md-6 col-sm-12">Late Registration Price
                <p><small><strong>Starts</strong> {{ __($camp->late_price_starts) }} <strong>Ends</strong> {{ __($camp->late_price_ends) }}</small></p>
            <dt>
            <dd class="col-md-6 col-sm-12"><p>{{ money(__($camp->late_price)) }}</p></dd>
        </dl>
    </div>
    <div class="col-sm-12 col-md-6">
        <h5>Location</h5>
        <hr>
        <p>{{ __($camp->address_1) }}</p>
        <p>{{ __($camp->address_2) }}</p>
        <p>{{ __($camp->city) }}, {{ __($camp->state) }} {{ __($camp->zip) }}</p>
    </div>
</div>